// File created automatically by custom Dialogger on 5/20/2018, 4:53:52 PM
// Do not tamper with this file.
// It will be replaced automatically by Dialogger and all changes will be lost.
// Instead change CreationIntro.dl.
module DialogueTrees {
	export let CreationIntro = (function () {
        let tree : DialogueTree = new DialogueTree("CreationIntro");
        let node : DialogueNode;
        let text : DialogueText;
        let set : DialogueSet;
        
        
        node = new DialogueNode("ae981322-9151-49c8-a889-94455db7c262");
        node.setNext("81582dea-ba27-4baa-8df2-a77fbb5ed9ef");
        tree.addStartNode(node);
        
        
        text = new DialogueText("f72bf099-bae2-49df-9433-c9c3ec6a020d");
        text.setSay(() => { return new Say("As you approach the Obelisk, many dreams and nightmares will become reality as it attempts to dissuade you from getting too close, with the intensity increasing the closer you get to your objective.", Say.PARAGRAPH_BREAK, "Ultimately, the Obelisk wishes you no harm, for it is better to have you around as a protector than as a dead enemy, so the Obelisk will attempt to give you exactly what you want deep in your heart, trying to make you completely satisfied so that you no longer wish for the Obelisk's destruction or become unable to continue your quest. Of course, what your heart wants is not necessarily what you think it wants.", Say.PARAGRAPH_BREAK, "Orcs, the most common creature to come out of the Obelisk, are nothing more than humans warped by their own desire for unbridled violence. What will the Obelisk do to you?", Say.PARAGRAPH_BREAK, "On the following screens, you will define who you will be in this story. Please confirm carefully, as there is no turning back.");});
        text.setNext("66d4b27a-ff40-4a8e-a749-2b5e8237695a");
        tree.addNode(text);
        
        
        set = new DialogueSet("81582dea-ba27-4baa-8df2-a77fbb5ed9ef");
        set.setFunction(() => {Elements.startMenu();});
        set.setNext("f72bf099-bae2-49df-9433-c9c3ec6a020d");
        tree.addNode(set);
        
        
        set = new DialogueSet("0b4fec87-a2b0-4e3b-81ed-a4150f94fc10");
        set.setFunction(() => {Elements.endMenu();});
        tree.addNode(set);
        
        
        set = new DialogueSet("66d4b27a-ff40-4a8e-a749-2b5e8237695a");
        set.setFunction(() => {return Elements.waitForAnyKey();});
        set.setNext("0b4fec87-a2b0-4e3b-81ed-a4150f94fc10");
        tree.addNode(set);
        
        return tree;
    })();
}